@import "@/styles/variables";

.navigation {
    position: relative;
    padding: 10px 0;

    &::after {
        content: "";
        position: absolute;
        bottom: 0;
        left: 0;
        right: 0;
        height: 1px;
        background-color: #cccccc;
    }

    ul {
        list-style-type: none;
        padding: 0;
        margin: 0;
        display: flex;
    }

    li {
        margin-right: 20px;
        position: relative;
    }

    a {
        text-decoration: none;
        color: $black;
        font-weight: 500;
        display: inline-block;
        position: relative;

        &::after {
            content: "";
            position: absolute;
            bottom: -11px;
            left: 0;
            width: 100%;
            height: 2px;
            background-color: #003366;
            transform: scaleX(0);
            transition: transform 0.3s ease-in-out;
        }

        &:hover::after,
        &.active::after {
            transform: scaleX(1);
        }

        &:hover,
        &.active {
            color: #003366;
        }
    }
}
